**`Naveen Asuthker`[NAME]** -NL- Mobile: **`512-692-9171`[PHONES_PHONE]** -NL- **`naveen.asuthkar@gmail.com`[EMAILS_EMAIL]** -NL- **`Professional Summary`[SUMMARY_HEADING]** -NL- Accomplished **`Software Architect`[EMPLOYER_ROLE]** with over 17 years of experience in Architecting Complex Web based -NL- Enterprise Applications, SOA integration solutions and Fine grained Microservices based systems. -NL- **`Expertise in`[SKILLS_HEADING]** -NL-  Designing various architectural views of a software system, applying architectural tactics for achieving -NL- desired quality attributes (Availability, Scalability, Modifiability, Performance, Usability, Testability etc). -NL- Applying various design patterns, SOA Patterns and Microservice Patterns. -NL-  Designing object and data models(ER Diagram) by applying objected oriented analysis and design -NL- techniques on problem domain. -NL-  Designing Fine Grain Microservices Architecture for Cloud Native Platforms (PCF) using domain -NL- driven design techniques. -NL-  SOA Integration solutions and API integration solutions. -NL-  High level development estimates during origination phase, realistic low level estimates during -NL- development phase. -NL-  Modernizing legacy applications / development tools, platform migration, splitting Monolithic -NL- architecture into Fine Grained Microservices Architecture. -NL-  Setting up development environment, build automation using Maven, CI/CD pipelines (in IAAS and -NL- PAAS), Self-signed/Third party signer certificates for transport level security, Site Minder for SSO, CA -NL- Access Gateway for HTTP Basic Auth (in PAAS). Load Balancers with multiple nodes in IAAS for -NL- horizontal scaling, Auto Scaling in PAAS. -NL-  Leading and Mentoring multiple global agile teams working on different projects with over all solutions, -NL- providing design feedback, performing code reviews, establishing Secure Coding/TDD standards. -NL-  Vendor relationship management, collaboration with Production Owner in eliciting high level -NL- requirement through brainstorming session, Scrum Master in defining Features and User Stories. -NL-  Trouble shooting and problem-solving skills, root cause analysis, providing solution options and cost -NL- associated with solution implementation. -NL-  Writing Software Architecture document, high level and low level design documents, software -NL- requirement specification document, installation manuals, user guides, migration guides and production -NL- readiness documents. -NL-  Meticulously monitoring agile incremental development to making sure business requirements are met and -NL- Architectural constrains are adhered. -NL- Hands-on development experience in building -NL-  SOAP Webservices using JAX-WS, WS-Security, JAXB, JAXP, XSLT, XML, XSD, WSDL -NL-  RESTful / Microservices using Springs Boots, Spring Cloud, Containerization using Docker, Docker -NL- Desktop, pushing Apps in Pivotal Cloud Foundry spaces, consuming cloud services Redis, RabbitMQ, -NL- MongoDB and User Provided Services etc. Draining / Monitoring App logs into Log Insight, ElK stack. -NL-  Expert knowledge of Kubernetes, OpenShift, AWS Services (S3, CDN, EC2, EBS, SQS, API Gateway, -NL- ECS, EKS and Serverless Lambda functions) -NL-  EJB components using JEE platform. -NL-  Single page Apps using Angular 6, UI using Struts, Spring MVC, JSP, JSTL, Servlets, HTML, XForms, -NL- Java Script, Nodejs, HTML, CSS -NL-  Data Access Layer using Hibernate, HQL, Spring JDBC, SQL, PL/SQL -NL-  Build automation using Maven, Jenkins, Nexus, GitHub, ANT -NL-  Application Security using HTTP Basic, HTTPS, Digital certificates, Asymmetric key encryption -NL- (cryptography), JWT, API Keys, OAuth2 and OpenID Connect. -NL-  Database Oracle (SQL, PL-SQL), (NoSQL) MongoDB and Elastic Search. -NL-  Designing automated JUnit (Jupiter) test (unit and integration), Microservice testing strategies. -NL- **`Education`[EDUCATION_HEADING]** -NL- **`Bachelor of Technology`[EDUCATION_DEGREE]** in **`Electrical & Electronic Engineering`[EDUCATION_COURSE]** -NL- **`Certifications`[OTHERS_HEADING]** -NL-  Oracle Certified Expert Java EE6 Web Services Developer -NL-  Sun Certified Business Component Developer for J2EE 1.3 -NL-  Sun Certified Programmer for Java2 platform 1.4 -NL-  Chartered Insurance Professional(CIP) - C11 -NL-  SAFe 4 Agile Practitioner Certification -NL- Innovation Challenge: -NL- Innovation Jam 2019: Demonstrated integration of **`Travelers`[EMPLOYER_COMPANY_NAME]** quoting system with Car dealership system. So that -NL- dealers can act as insurance brokers for new car buyers. -NL- Innovation Jam 2018: Demonstrated IOT API integration of **`Travelers`[EMPLOYER_COMPANY_NAME]** system with Google Nest smoke detector. -NL- Traveler’s service receives periodic status of smoke detector to make sure it is live an active and records it in -NL- NoSQL db for analytics. Single page App UI using Angular 5 for viewing recoded data. -NL- **`Professional Experience`[WORK_EXPERIENCE_HEADING]** -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** June 2019 – Present -NL- Current Project: JP Morgan Chase RESTful API Integration for payment processing -NL- Position: **`Software Architect `[EMPLOYER_ROLE]**-NL- Description: **`Travelers`[EMPLOYER_COMPANY_NAME]** currently store credit card information on-premise in our PCI compliant secure zone. A -NL- mandate from Enterprise IS Security is being issued for all LOBs to move the capture and storage of Credit Card -NL- information to payment provider (JP Morgan Chase). -NL- Software: Spring Boot, Docker, Docker Desktop, PCF, CA Access Gateway, JWT, Spring Tool Suite, GitHub, -NL- Maven, MongoDB, GitHub -NL- Role and Responsibilities: -NL-  Designed Solution Architecture “to integrate **`Travelers`[EMPLOYER_COMPANY_NAME]** applications (across LOBs) with JPMC hosted -NL- payment form solution for credit card payment processing”. Solution involves (Cloud First strategic goal) -NL- building Microservices for interfacing with JPMC account maintenance and receiving payment receipts. -NL- These services are consumed by **`Travelers`[EMPLOYER_COMPANY_NAME]** application for integrating JPMC IFrame on to UI for payment -NL- processing. Transactions stored in MongoDB. Logs are aggregated and drained in Log Insight for -NL- monitoring. -NL-  Collaborated with Enterprise Business Architect in designing overall solution, produced Architecture -NL- review document, Solution outline document. -NL-  Setting up development environment using STS, creating Proof of Concept, GitHub repo. -NL-  Collaborated with Product Owner and Scrum Master for creating Epic and Features and User stories in -NL- Rally. -NL-  Provided consultation and guidance to global sprint teams (across LOBs) on application design, TDD -NL- approach as well as helping troubleshooting issues. -NL-  Coordinated with DevOps and cloud operations team in setting up Continuous Delivery pipeline in PCF, -NL- CA Access Gateway for securing Microservices using JWT and HTTP Basic Auth. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** Feb 2018 – Present -NL- Project: Application currency and modernization -NL- Position: **`Software Architect`[EMPLOYER_ROLE]** -NL- Description: Modernize legacy applications, open source software evaluation / upgrades. Applications migration to -NL- Liberty / WAS 9 / PCF cloud platforms, development tools modernization (replace expensive vendor products with -NL- industry standard open source tools. -NL- Role and Responsibilities: -NL-  Evaluating Apps for platform migration, splitting Monolithic applications for better maintainability, -NL- evaluating vulnerability though Burp Scan, Black Duck Hub scan reports, providing appropriate -NL- remediation. Adhering organizations strategic goals “Cloud Ready” and “Cloud First”, applications were -NL- modernized adopting 12 factor principals. -NL-  Created POC setting up development environment using STS, Liberty and WAS9 application servers. -NL- Documenting the process and sharing the knowledge with team. -NL-  Reviewing security scan reports, prioritizing vulnerabilities, writing user stories with detailing solution. -NL-  Mentoring new offshore team about EODB applications for bringing them up to speed. Providing technical -NL- guidance to different teams in solving critical problems. -NL-  Providing guidance to QA resources on testing approach and scope. -NL-  Coordinating with DevOps in setting up new Liberty / WAS9 environments, troubleshooting and solving -NL- environmental issues. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** March 2017 – Feb 2018 -NL- Project: Atlantic Auto -NL- Position: **`Software Architect `[EMPLOYER_ROLE]**-NL- Tools: IBM RAD8.5, SVN, Maven 3.2.1, Nexus Repository, SQL Developer, MS Visio 2010, Rally. -NL- Software’s: JDK1.6, JEE1.6 Web Services, JAX-WS, WS-Security, XSLT, CSIO, WSDL, SOAP 1.1, Spring 3.2.2, -NL- Oracle Database 11g, WebSphere Application Server 8.5, AIX, JBOSS Drools rule engine, Orbeon XForms. -NL- Description: Implementing personal Auto insurance product for Atlantic region. -NL- Responsibility: -NL-  Performed impact analysis on Ease of Doing Business portfolio applications (BMS Upload, BMS -NL- Download, Third Party Reporting Services, Broker Portal, Commercial Fleet, eDocs Download). -NL-  Created Solution Architecture for “Implementing Atlantic Auto features in EoDB applications”. -NL-  Created Architecture Review document, Rough Order Magnitude. -NL-  Provided necessary guidance for creating Product Backlog and Iteration Roadmaps. -NL-  Mentoring sprint team about EODB applications for bringing them up to speed. Provided technical -NL- guidance during development. -NL-  Collaborated with PI US team for providing them with necessary guidance regarding changes needed at -NL- their end. -NL-  Provided guidance on re-designing BMS Upload Application to improve maintainability, configurability, -NL- performance and reduce memory footprints. -NL-  Provided guidance on designed conviction code mapping in Third Party Reporting application for MVR -NL- reports. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** Jan 2016 - March 2017 -NL- Project: Third Party Services Gateway -NL- Position: **`Software Architect `[EMPLOYER_ROLE]**-NL- Tools: IBM RAD8.5, SVN, Maven 3.2.1, Nexus Repository, SQL Developer, MS Visio 2010. -NL- Software’s: JDK 1.6, JEE6 Web Services, JAX-WS, WS-Security, XSLT, CSIO, WSDL, SOAP 1.1, Spring 3.2.2, -NL- Hibernate 3, EHCache 2.5, Oracle Database 11g, WebSphere Application Server 8.5, AIX. -NL- Description: ThirdParty Service (TPS) Gateway is a SOA integration solution for integrating **`Travelers`[EMPLOYER_COMPANY_NAME]** policy -NL- systems with **`Travelers`[EMPLOYER_COMPANY_NAME]** US Personal Insurance Reporting solution. This enables automated straight through ordering -NL- of MVR, Auto plus and Credit History reports during policy issuance / re-rating workflows in multiple policy -NL- management systems. TPS is built on top of **`Travelers`[EMPLOYER_COMPANY_NAME]** proprietary Gateway Framework (pipes and filter pattern -NL- based light weight ESB solution). -NL- Responsibilities: -NL-  Designed Application Architecture for “automating ordering of various industry reports during policy -NL- issuance and re-rating workflows in **`Travelers`[EMPLOYER_COMPANY_NAME]** policy systems”. Solutions leveraged **`Travelers`[EMPLOYER_COMPANY_NAME]** US data -NL- warehousing solution for retention of ordered reports from external data vendors. -NL-  Created Solution outline document and presented to stake holders. Produced Rough Order Magnitude. -NL- Produced Software Architecture document. -NL-  Created Proof of Concept using JAX-WS Webservices, WS clients, client side &server side handlers, WS- -NL- Security policy and service client bindings. Implemented workflow chains, routing, decision making and -NL- logging using Gateway Framework. -NL-  Lead the development, provided consultation and helped resolving performance and environmental issues. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** Jan 2015 – Dec 2015 -NL- Project: Auto Sign-On -NL- Position: **`Technical Lead`[EMPLOYER_ROLE]** -NL- Description: Auto Sign-on is a Broker Management System (BMS) integration solution which integrates vendor -NL- BMS systems with **`Travelers`[EMPLOYER_COMPANY_NAME]** Web Applications so that brokers can directly access **`Travelers`[EMPLOYER_COMPANY_NAME]** Web Applications from -NL- BMS system without going through manual login process. -NL- This solution allows brokers to directly access insured policy and billing information on **`Travelers`[EMPLOYER_COMPANY_NAME]** web applications -NL- (Broker Portal, Eclips, CCCPS, TCPS personal lines, Dragon Eclipse commercial lines) by simply clicking links on -NL- BMS system. -NL- Responsibilities: -NL-  Participated in requirement analysis discussions with BA and Architect. -NL-  Created low level application design. -NL-  Developed Proof of Concept (POC), gave presentation to Stakeholders. -NL-  Coding using Struts, Hibernate, Springs, RAD 7.0. -NL-  Created Production readiness documentation. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** March 2014 – Dec 2014 -NL- Project: BMS Download -NL- Position: **`Technical Lead`[EMPLOYER_ROLE]** -NL- Description: BMS Download Application provides policy information transformation and routing solution. This -NL- application receives issued policy information from TCPS and transforms it from XML to AL3 format. Nightly -NL- batch jobs consolidate AL3 data and move files to FTP location, to be routed to MASTERCOM secured network. -NL- Responsibilities: -NL-  Coding using Java, Springs, Gateway Framework, RAD 7.0. -NL-  Produced production readiness docs, deployment plans and coordinated production environment setup and -NL- production deployment. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** October 2013 – March 2014 -NL- Project: Personal Auto Quote -NL- Position: **`Technical Lead`[EMPLOYER_ROLE]** -NL- Description: Integrating comparative raters and aggregators (Kinetix.ca) for Personal Line Quoting with TCPS -NL- (**`Travelers`[EMPLOYER_COMPANY_NAME]** Policy System for Personal Lines, OneShield product) -NL- Responsibilities: -NL-  Enhanced existing quoting contract (WSDL) and quoting service (Web Service) to expose new operation -NL- for personal line quoting. . -NL-  Collaborated with vendor (Comparative Raters) team during integration testing and troubleshooting issues. -NL-  Produced production readiness docs, deployment plans and coordinated production environment setup and -NL- production deployment. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** April 2013 – September 2013 -NL- Project: Policy Works Integration -NL- Position: **`Technical Lead`[EMPLOYER_ROLE]** -NL- Description: Integrating Policy Works BMS for commercial Line Quotes with Dragon Eclipse. -NL- Responsibilities: -NL-  Enhanced existing quoting contract (WSDL) and quoting service (Web Service) to expose new operation -NL- for commercial line quoting. -NL-  Created new workflow, routing logic, decision and logging using Gateway Framework. Created -NL- Webservice client to consumeDragon EclipseWeb Service endpoint. -NL-  Collaborated with vendor (Policy Works BMS) team during integration testing and troubleshooting issues. -NL-  Supported system testing / UAT testing. -NL-  Production readiness documentation, production deployment and production support. -NL- Parental Leave: September 2012 – April 2013 -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** March 2012 – September 2012 -NL- Project: Commercial Fleet Auto & Broker Portal legacy application enhancement -NL- Position: **`Technical Lead`[EMPLOYER_ROLE]** -NL- Description: Commercial Fleet Auto and Broker Portal legacy application enhancement to resolve various -NL- production issues. -NL- Responsibilities: -NL-  Legacy application reverse engineering and documenting design -NL-  Root cause analysis for various critical production issue -NL-  Refactoring application code to resolve design flaws -NL-  Development and testing support. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** July 2011 – Feb 2012 -NL- Project: Eclips Tablet support -NL- Position: **`Technical Lead`[EMPLOYER_ROLE]** -NL- Description: Enhancing Eclips application GUI to support Blackberry playbook and Apple iPad. Application had too -NL- many model popup windows which are not supported in Tables. Re-designed web pages using AJAX to avoid -NL- model popup. -NL- Employer: **`Travelers`[EMPLOYER_COMPANY_NAME]** September 2010 – June 2011 -NL- Project: New Business Upload to PMS (Legacy Mainframe policy system). -NL- Position: **`Technical Lead`[EMPLOYER_ROLE]** -NL- Integrated BMS (Broker Management Systems) with NexExchange (Brovada product which has screen scraper -NL- technique to writes uploaded new business to Mainframe EPF files). -NL- Responsibilities: -NL-  Quickly learned NBS project high level architecture by going through System Architecture document. -NL- Understood deployment scripts provided by vendor and identified issues and coordinated with vendor for -NL- fixing them. Coordinated vendor software Installation, Testing and Troubleshooting issues in DEV, MO -NL- and Production environments. -NL- Employer: **`Camilion Solutions Inc`[EMPLOYER_COMPANY_NAME]**, Markham, ON. (August 2008 – August 2010) -NL- Project: Product Authority® Multiple Releases 6.5, 6.7 and 7.0 -NL- Description: Product Authority® is Camilion’spure insurance product development solution for insurance -NL- companies. Using PA insurers can launch new or refreshed products in record time and manage products over their -NL- entire lifecycle. PA consists of Product Configurator (PC) and Design/Runtime tools. PC is used for configuring -NL- insurance products which can be later published to Design / Runtime test environment for Unit testing. Design / -NL- Runtime tool lets user create workflows (graphically) and write various rules to query published products. -NL- Position: Senior Java Developer. -NL- Tools: Eclipse, CVS, Crux, SVN, SQL Developer. -NL- Software’s: JDK 1.5, Spring 2.0.7, JMS, Spring JMS, Velocity Template, Eclipse 3.2, extjs2.0, GXT1.1, Apache -NL- ANT 1.6.2, Oracle Database 10g, WebSphere Application Server6.1, ActiveMQ, Websphere Application Server -NL- Default Messaging Provider, Quartz scheduler, JBOSS, Sun Solaris, Window XP. -NL- Responsibilities: -NL-  Release 7.0: In PA release 7.0 worked on enabling workspaces in PC as well as Design/Runtime tools, so -NL- that multiple PC users will be able to publish product to their own workspace (uncommitted changes) or -NL- common workspace (committed changes only) either in PC server or Design / Runtime remote server. In -NL- Design / Runtime environment user will be able to test the workflows against their own workspace product -NL- or against common workspace product. -NL-  Release 6.7: In PA release 6.7 implementedAsynchronous PC publishing functionality used ActiveMQ and -NL- Quartz scheduling framework. -NL-  Release 6.5: In this release implemented product data Import / Exportfunctionality. Provides user ability to -NL- export data from PC in to CSV format and import it back with changes. User can upload by selecting -NL- Update, Insert and Replace options. -NL- Employer: **`3H Technology`[EMPLOYER_COMPANY_NAME]**, Virginia, USA (July 2004 – July 2008) -NL- Client: U.S General Services Administration (GSA). -NL- Position: **`Java Development Lead / Senior Developer`[EMPLOYER_ROLE]** -NL- Tools: Erwin Data Modeler, Rational Rose 2000, Toad, Visual Safe Source, CVS, Rational Clear Quest -NL- Software’s: J2EE 1.4, JDK 1.4.2, JNDI, Struts 1.2.9, Spring 2.0.9, Hibernate 3.1, AJAX, Quartz Job Scheduling -NL- Framework, Velocity Template, Eclipse 3.2, MyEclipse 5.1, Apache ANT 1.6.2, Junit, Oracle Database 10g, Oracle -NL- Application Server 10g, Tomcat 5.5, Sun Solaris, Window XP. -NL- Responsibilities: -NL- Worked on various Java / JEE Web Application developmentprojects forthe client US General Services -NL- Administration (GSA) - Public Building Services division. -NL- Employer: **`HCL Perot System`[EMPLOYER_COMPANY_NAME]**, Bangalore, INDIA. (Nov 2002 – Jan 2004) -NL- Client: UBS Warburg (UK) -NL- Position: **`Java Programmer`[EMPLOYER_ROLE]**. -NL- Tools: Rational Rose, Visual Age for Java, XML Spy, ClearCase, QWIN and Test Director. -NL- Software’s: Java2.0, XML, XML Parsers, Swings, MS-Access, Rational Rose. -NL- Responsibilities: -NL- Worked on java / Swing UI development projects for financial client UBS Warburg -NL- 